<?php
// Categories Posts Grid Options.
$wp_customize->add_section(
	'home_page_cat_posts_grid_options',
	array(
		'title' => __( 'Categories Posts Grid Options', 'magazine-elite' ),
		'panel' => 'theme_home_option_panel',
	)
);

// Enable Categories Posts Grid.
$wp_customize->add_setting(
	'enable_cat_posts_grid',
	array(
		'default'           => $theme_options_defaults['enable_cat_posts_grid'],
		'sanitize_callback' => 'magazine_elite_sanitize_checkbox',
	)
);
$wp_customize->add_control(
	new Magazine_Elite_Toggle_Control(
		$wp_customize,
		'enable_cat_posts_grid',
		array(
			'label'   => __( 'Enable Categories Posts Grid', 'magazine-elite' ),
			'section' => 'home_page_cat_posts_grid_options',
		)
	)
);

// Section background.
$wp_customize->add_setting(
	'cat_posts_grid_section_bg_color',
	array(
		'default'           => $theme_options_defaults['cat_posts_grid_section_bg_color'],
		'sanitize_callback' => 'sanitize_hex_color',
	)
);
$wp_customize->add_control(
	new WP_Customize_Color_Control(
		$wp_customize,
		'cat_posts_grid_section_bg_color',
		array(
			'label'           => __( 'Section Background', 'magazine-elite' ),
			'section'         => 'home_page_cat_posts_grid_options',
			'type'            => 'color',
			'active_callback' => 'magazine_elite_is_cat_posts_grid_enabled',
		)
	)
);

// Section Title Style.
$wp_customize->add_setting(
	'cat_posts_grid_title_style',
	array(
		'default'           => $theme_options_defaults['cat_posts_grid_title_style'],
		'sanitize_callback' => 'magazine_elite_sanitize_select',
	)
);
$wp_customize->add_control(
	'cat_posts_grid_title_style',
	array(
		'label'           => __( 'Category Title Style', 'magazine-elite' ),
		'section'         => 'home_page_cat_posts_grid_options',
		'type'            => 'select',
		'choices'         => magazine_elite_get_title_styles(),
		'active_callback' => 'magazine_elite_is_cat_posts_grid_enabled',
	)
);

// Section Title Align.
$wp_customize->add_setting(
	'cat_posts_grid_title_align',
	array(
		'default'           => $theme_options_defaults['cat_posts_grid_title_align'],
		'sanitize_callback' => 'magazine_elite_sanitize_select',
	)
);
$wp_customize->add_control(
	'cat_posts_grid_title_align',
	array(
		'label'           => __( 'Category Title Alignment', 'magazine-elite' ),
		'section'         => 'home_page_cat_posts_grid_options',
		'type'            => 'select',
		'choices'         => magazine_elite_get_title_alignments(),
		'active_callback' => 'magazine_elite_is_cat_posts_grid_enabled',
	)
);

// Column.
$wp_customize->add_setting(
	'cat_posts_grid_column',
	array(
		'default'           => $theme_options_defaults['cat_posts_grid_column'],
		'sanitize_callback' => 'magazine_elite_sanitize_select',
	)
);
$wp_customize->add_control(
	'cat_posts_grid_column',
	array(
		'label'           => __( 'Column', 'magazine-elite' ),
		'section'         => 'home_page_cat_posts_grid_options',
		'type'            => 'select',
		'choices'         => array(
			'2' => __( '2', 'magazine-elite' ),
			'3' => __( '3', 'magazine-elite' ),
			'4' => __( '4', 'magazine-elite' ),
			'5' => __( '5', 'magazine-elite' ),
		),
		'active_callback' => 'magazine_elite_is_cat_posts_grid_enabled',
	)
);

// Categories.
$wp_customize->add_setting(
	'cat_posts_grid_categories',
	array(
		'default'           => '',
		'sanitize_callback' => 'magazine_elite_sanitize_checkbox_multiple',
	)
);
$wp_customize->add_control(
	new Magazine_Elite_Checkbox_Taxonomies_Control(
		$wp_customize,
		'cat_posts_grid_categories',
		array(
			'label'           => __( 'Choose Categories', 'magazine-elite' ),
			'section'         => 'home_page_cat_posts_grid_options',
			'active_callback' => 'magazine_elite_is_cat_posts_grid_enabled',
		)
	)
);

// No of posts.
$wp_customize->add_setting(
	'cat_posts_grid_no_of_posts',
	array(
		'default'           => $theme_options_defaults['cat_posts_grid_no_of_posts'],
		'sanitize_callback' => 'absint',
	)
);
$wp_customize->add_control(
	'cat_posts_grid_no_of_posts',
	array(
		'label'           => __( 'Number of Posts', 'magazine-elite' ),
		'section'         => 'home_page_cat_posts_grid_options',
		'type'            => 'number',
		'active_callback' => 'magazine_elite_is_cat_posts_grid_enabled',
	)
);

// Posts Orderby.
$wp_customize->add_setting(
	'cat_posts_grid_orderby',
	array(
		'default'           => $theme_options_defaults['cat_posts_grid_orderby'],
		'sanitize_callback' => 'magazine_elite_sanitize_select',
	)
);
$wp_customize->add_control(
	'cat_posts_grid_orderby',
	array(
		'label'           => __( 'Orderby', 'magazine-elite' ),
		'section'         => 'home_page_cat_posts_grid_options',
		'type'            => 'select',
		'choices'         => array(
			'date'  => __( 'Date', 'magazine-elite' ),
			'id'    => __( 'ID', 'magazine-elite' ),
			'title' => __( 'Title', 'magazine-elite' ),
			'rand'  => __( 'Random', 'magazine-elite' ),
		),
		'active_callback' => 'magazine_elite_is_cat_posts_grid_enabled',
	)
);

// Posts Order.
$wp_customize->add_setting(
	'cat_posts_grid_order',
	array(
		'default'           => $theme_options_defaults['cat_posts_grid_order'],
		'sanitize_callback' => 'magazine_elite_sanitize_select',
	)
);
$wp_customize->add_control(
	'cat_posts_grid_order',
	array(
		'label'           => __( 'Order', 'magazine-elite' ),
		'section'         => 'home_page_cat_posts_grid_options',
		'type'            => 'select',
		'choices'         => array(
			'asc'  => __( 'ASC', 'magazine-elite' ),
			'desc' => __( 'DESC', 'magazine-elite' ),
		),
		'active_callback' => 'magazine_elite_is_cat_posts_grid_enabled',
	)
);

/* Post Meta */
$wp_customize->add_setting(
	'cat_posts_grid_post_meta',
	array(
		'default'           => $theme_options_defaults['cat_posts_grid_post_meta'],
		'sanitize_callback' => 'magazine_elite_sanitize_checkbox_multiple',
	)
);
$wp_customize->add_control(
	new Magazine_Elite_Checkbox_Multiple(
		$wp_customize,
		'cat_posts_grid_post_meta',
		array(
			'label'           => __( 'Post Meta', 'magazine-elite' ),
			'section'         => 'home_page_cat_posts_grid_options',
			'choices'         => array(
				'author'    => __( 'Author', 'magazine-elite' ),
				'read_time' => __( 'Post Read Time', 'magazine-elite' ),
				'date'      => __( 'Date', 'magazine-elite' ),
				'comment'   => __( 'Comment', 'magazine-elite' ),
			),
			'active_callback' => 'magazine_elite_is_cat_posts_grid_enabled',
		)
	)
);

// Featured Post Date Format.
$wp_customize->add_setting(
	'cat_posts_grid_date_format',
	array(
		'default'           => $theme_options_defaults['cat_posts_grid_date_format'],
		'sanitize_callback' => 'magazine_elite_sanitize_select',
	)
);
$wp_customize->add_control(
	'cat_posts_grid_date_format',
	array(
		'label'           => __( 'Date Format', 'magazine-elite' ),
		'description'     => __( 'Make sure to enable Date post meta from above for this to work.', 'magazine-elite' ),
		'section'         => 'home_page_cat_posts_grid_options',
		'type'            => 'select',
		'choices'         => array(
			'format_1' => __( 'Times Ago', 'magazine-elite' ),
			'format_2' => __( 'Default Format', 'magazine-elite' ),
		),
		'active_callback' => 'magazine_elite_is_cat_posts_grid_enabled',
	)
);

// Show Featured Post author image.
$wp_customize->add_setting(
	'enable_cat_posts_grid_author_image',
	array(
		'default'           => $theme_options_defaults['enable_cat_posts_grid_author_image'],
		'sanitize_callback' => 'magazine_elite_sanitize_checkbox',
	)
);
$wp_customize->add_control(
	new Magazine_Elite_Toggle_Control(
		$wp_customize,
		'enable_cat_posts_grid_author_image',
		array(
			'label'           => __( 'Show Author Image', 'magazine-elite' ),
			'description'     => __( 'Make sure to enable Author post meta from above for this to work. Will only show up in express post.', 'magazine-elite' ),
			'section'         => 'home_page_cat_posts_grid_options',
			'active_callback' => 'magazine_elite_is_cat_posts_grid_enabled',
		)
	)
);

// Show Meta on express post only.
$wp_customize->add_setting(
	'enable_cat_posts_grid_meta_express_only',
	array(
		'default'           => $theme_options_defaults['enable_cat_posts_grid_meta_express_only'],
		'sanitize_callback' => 'magazine_elite_sanitize_checkbox',
	)
);
$wp_customize->add_control(
	new Magazine_Elite_Toggle_Control(
		$wp_customize,
		'enable_cat_posts_grid_meta_express_only',
		array(
			'label'           => __( 'Show Post Meta on Express Post Only', 'magazine-elite' ),
			'section'         => 'home_page_cat_posts_grid_options',
			'active_callback' => 'magazine_elite_is_cat_posts_grid_enabled',
		)
	)
);

// Enable Post Format Icon.
$wp_customize->add_setting(
	'enable_cat_posts_grid_post_format_icon',
	array(
		'default'           => $theme_options_defaults['enable_cat_posts_grid_post_format_icon'],
		'sanitize_callback' => 'magazine_elite_sanitize_checkbox',
	)
);
$wp_customize->add_control(
	new Magazine_Elite_Toggle_Control(
		$wp_customize,
		'enable_cat_posts_grid_post_format_icon',
		array(
			'label'           => __( 'Show Post Format Icon', 'magazine-elite' ),
			'section'         => 'home_page_cat_posts_grid_options',
			'active_callback' => 'magazine_elite_is_cat_posts_grid_enabled',
		)
	)
);

// Invert List Post.
$wp_customize->add_setting(
	'cat_posts_grid_invert_list_post',
	array(
		'default'           => $theme_options_defaults['cat_posts_grid_invert_list_post'],
		'sanitize_callback' => 'magazine_elite_sanitize_checkbox',
	)
);
$wp_customize->add_control(
	new Magazine_Elite_Toggle_Control(
		$wp_customize,
		'cat_posts_grid_invert_list_post',
		array(
			'label'           => __( 'Invert List Post', 'magazine-elite' ),
			'section'         => 'home_page_cat_posts_grid_options',
			'active_callback' => 'magazine_elite_is_cat_posts_grid_enabled',
		)
	)
);

// Hide List Post Image.
$wp_customize->add_setting(
	'cat_posts_grid_hide_list_post_img',
	array(
		'default'           => $theme_options_defaults['cat_posts_grid_hide_list_post_img'],
		'sanitize_callback' => 'magazine_elite_sanitize_checkbox',
	)
);
$wp_customize->add_control(
	new Magazine_Elite_Toggle_Control(
		$wp_customize,
		'cat_posts_grid_hide_list_post_img',
		array(
			'label'           => __( 'Hide List Post Image', 'magazine-elite' ),
			'section'         => 'home_page_cat_posts_grid_options',
			'active_callback' => 'magazine_elite_is_cat_posts_grid_enabled',
		)
	)
);

// Enable Row Separator.
$wp_customize->add_setting(
	'enable_cat_posts_grid_row_separator',
	array(
		'default'           => $theme_options_defaults['enable_cat_posts_grid_row_separator'],
		'sanitize_callback' => 'magazine_elite_sanitize_checkbox',
	)
);
$wp_customize->add_control(
	new Magazine_Elite_Toggle_Control(
		$wp_customize,
		'enable_cat_posts_grid_row_separator',
		array(
			'label'           => __( 'Enable Row Separator', 'magazine-elite' ),
			'section'         => 'home_page_cat_posts_grid_options',
			'active_callback' => 'magazine_elite_is_cat_posts_grid_enabled',
		)
	)
);

// Express Post Title Limit.
$wp_customize->add_setting(
	'cat_posts_grid_express_title_limit',
	array(
		'default'           => '',
		'sanitize_callback' => 'magazine_elite_sanitize_select',
	)
);
$wp_customize->add_control(
	'cat_posts_grid_express_title_limit',
	array(
		'label'           => __( 'Express Post Title Limit', 'magazine-elite' ),
		'section'         => 'home_page_cat_posts_grid_options',
		'type'            => 'select',
		'choices'         => magazine_elite_get_title_limit_choices(),
		'active_callback' => 'magazine_elite_is_cat_posts_grid_enabled',
	)
);

// Enable Description.
$wp_customize->add_setting(
	'enable_cat_posts_grid_express_desc',
	array(
		'default'           => $theme_options_defaults['enable_cat_posts_grid_express_desc'],
		'sanitize_callback' => 'magazine_elite_sanitize_checkbox',
	)
);
$wp_customize->add_control(
	new Magazine_Elite_Toggle_Control(
		$wp_customize,
		'enable_cat_posts_grid_express_desc',
		array(
			'label'           => __( 'Enable Express Post Description', 'magazine-elite' ),
			'section'         => 'home_page_cat_posts_grid_options',
			'active_callback' => 'magazine_elite_is_cat_posts_grid_enabled',
		)
	)
);

// Description Length.
$wp_customize->add_setting(
	'cat_posts_grid_express_desc_length',
	array(
		'default'           => $theme_options_defaults['cat_posts_grid_express_desc_length'],
		'sanitize_callback' => 'absint',
	)
);
$wp_customize->add_control(
	'cat_posts_grid_express_desc_length',
	array(
		'label'           => __( 'Express Post Description Length', 'magazine-elite' ),
		'section'         => 'home_page_cat_posts_grid_options',
		'type'            => 'number',
		'active_callback' => function( $control ) {
			return (
				magazine_elite_is_cat_posts_grid_enabled( $control )
				&&
				magazine_elite_is_cat_posts_grid_express_desc_enabled( $control )
			);
		},
	)
);

// List Post Title Limit.
$wp_customize->add_setting(
	'cat_posts_grid_list_title_limit',
	array(
		'default'           => '',
		'sanitize_callback' => 'magazine_elite_sanitize_select',
	)
);
$wp_customize->add_control(
	'cat_posts_grid_list_title_limit',
	array(
		'label'           => __( 'List Post Title Limit', 'magazine-elite' ),
		'section'         => 'home_page_cat_posts_grid_options',
		'type'            => 'select',
		'choices'         => magazine_elite_get_title_limit_choices(),
		'active_callback' => 'magazine_elite_is_cat_posts_grid_enabled',
	)
);
