<?php

// Some Header Global Options.
$wp_customize->add_section(
	'header_global_options',
	array(
		'title' => __( 'Global Options', 'magazine-elite' ),
		'panel' => 'header_options_panel',
	)
);

// Social Links Brand Color.
$wp_customize->add_setting(
	'header_social_links_color_as',
	array(
		'default'           => $theme_options_defaults['header_social_links_color_as'],
		'sanitize_callback' => 'magazine_elite_sanitize_select',
	)
);
$wp_customize->add_control(
	'header_social_links_color_as',
	array(
		'label'           => __( 'Social Menu Brand Color', 'magazine-elite' ),
		'section'         => 'header_global_options',
		'type'            => 'select',
		'choices'         => array(
			'theme_color' => __( 'Use Theme Color', 'magazine-elite' ),
			'brand_color' => __( 'Use Brand Color', 'magazine-elite' ),
		),
	)
);

// Social Icons Color
$wp_customize->add_setting(
	'header_social_links_icons_color',
	array(
		'default'           => $theme_options_defaults['header_social_links_icons_color'],
		'sanitize_callback' => 'sanitize_hex_color',
	)
);
$wp_customize->add_control(
	new WP_Customize_Color_Control(
		$wp_customize,
		'header_social_links_icons_color',
		array(
			'label'           => __( 'Social Menu Icons Color', 'magazine-elite' ),
			'section'         => 'header_global_options',
			'type'            => 'color',
			'active_callback' => 'magazine_elite_is_header_social_icons_theme_color',
		)
	)
);

// Social Icons Hover Color
$wp_customize->add_setting(
	'header_social_links_icons_hover_color',
	array(
		'default'           => $theme_options_defaults['header_social_links_icons_hover_color'],
		'sanitize_callback' => 'sanitize_hex_color',
	)
);
$wp_customize->add_control(
	new WP_Customize_Color_Control(
		$wp_customize,
		'header_social_links_icons_hover_color',
		array(
			'label'           => __( 'Social Menu Icons Hover Color', 'magazine-elite' ),
			'section'         => 'header_global_options',
			'type'            => 'color',
			'active_callback' => 'magazine_elite_is_header_social_icons_theme_color',
		)
	)
);

// Social Links Display Style.
$wp_customize->add_setting(
	'header_social_links_display_style',
	array(
		'default'           => $theme_options_defaults['header_social_links_display_style'],
		'sanitize_callback' => 'magazine_elite_sanitize_select',
	)
);
$wp_customize->add_control(
	'header_social_links_display_style',
	array(
		'label'           => __( 'Social Menu Display Style', 'magazine-elite' ),
		'section'         => 'header_global_options',
		'type'            => 'select',
		'choices'         => magazine_elite_get_social_links_styles(),
	)
);

/*Search Style*/
$wp_customize->add_setting(
	'header_search_btn_style',
	array(
		'default'           => $theme_options_defaults['header_search_btn_style'],
		'sanitize_callback' => 'magazine_elite_sanitize_select',
	)
);
$wp_customize->add_control(
	'header_search_btn_style',
	array(
		'label'           => __( 'Search Button Style', 'magazine-elite' ),
		'section'         => 'header_global_options',
		'type'            => 'select',
		'choices'         => array(
			'style_1' => __( 'Style 1', 'magazine-elite' ),
			'style_2' => __( 'Style 2', 'magazine-elite' ),
		),
	)
);