<?php
$wp_customize->add_section(
	'preloader_options',
	array(
		'title' => __( 'Preloader Options', 'magazine-elite' ),
		'panel' => 'misc_options_panel',
	)
);

/*Show Preloader*/
$wp_customize->add_setting(
	'enable_preloader',
	array(
		'default'           => $theme_options_defaults['enable_preloader'],
		'sanitize_callback' => 'magazine_elite_sanitize_checkbox',
	)
);
$wp_customize->add_control(
	new Magazine_Elite_Toggle_Control(
		$wp_customize,
		'enable_preloader',
		array(
			'label'   => __( 'Show Preloader', 'magazine-elite' ),
			'section' => 'preloader_options',
		)
	)
);

/*Preloader background Color*/
$wp_customize->add_setting(
	'preloader_bg_color',
	array(
		'default'           => $theme_options_defaults['preloader_bg_color'],
		'sanitize_callback' => 'sanitize_hex_color',
	)
);
$wp_customize->add_control(
	new WP_Customize_Color_Control(
		$wp_customize,
		'preloader_bg_color',
		array(
			'label'           => __( 'Preloader Page Background Color', 'magazine-elite' ),
			'section'         => 'preloader_options',
			'type'            => 'color',
			'active_callback' => 'magazine_elite_is_preloader_enabled',
		)
	)
);

// Preloader Color.
$wp_customize->add_setting(
	'preloader_color',
	array(
		'default'           => $theme_options_defaults['preloader_color'],
		'sanitize_callback' => 'sanitize_hex_color',
	)
);
$wp_customize->add_control(
	new WP_Customize_Color_Control(
		$wp_customize,
		'preloader_color',
		array(
			'label'           => __( 'Preloader Color', 'magazine-elite' ),
			'section'         => 'preloader_options',
			'type'            => 'color',
			'active_callback' => 'magazine_elite_is_preloader_enabled',
		)
	)
);
