<?php
/**
 * Free v Pro
 *
 * @package Magazine_Elite
 */

$icons = array(
	'0' => '<span class="dashicons dashicons-no"></span>',
	'1' => '<span class="dashicons dashicons-yes"></span>',
);
?>
<div class="magazine-elite-dashboard-body">
	<div class="free-vs-pro-wrapper">
		<div class="section-cta-upgrade">
			<span><?php esc_html_e( 'PREMIUM', 'magazine-elite' ); ?></span>
			<h2><?php esc_html_e( 'Unlock More with Magazine Elite Pro', 'magazine-elite' ); ?></h2>
			<p><?php esc_html_e( 'Unlock all the possibilties and true potential with premium version of this theme', 'magazine-elite' ); ?></p>
			<a href="<?php echo esc_url( $this->theme_url . '?utm_source=wp&utm_medium=theme-dashboard&utm_campaign=fvp' ); ?>" target="_blank" class="button button-primary button-plus"><?php esc_html_e( 'Upgrade To Pro', 'magazine-elite' ); ?></a>
		</div>
		<table>
			<thead>
				<tr>
					<th class="magazine-elite-text-left"><?php esc_html_e( 'Features', 'magazine-elite' ); ?></th>
					<th class="magazine-elite-text-center"><?php esc_html_e( 'Free', 'magazine-elite' ); ?></th>
					<th class="magazine-elite-text-center"><?php esc_html_e( 'Pro', 'magazine-elite' ); ?></th>
				</tr>
			</thead>
			<tbody>
				<?php
				$free_vs_pro = array(
					array(
						'feature' => __( 'Help and support', 'magazine-elite' ),
						'free'    => __( 'Standard support', 'magazine-elite' ),
						'pro'     => __( 'High priority support', 'magazine-elite' ),
					),
					array(
						'feature' => __( 'Predesigned website templates', 'magazine-elite' ),
						'free'    => __( '1', 'magazine-elite' ),
						'pro'     => __( '4', 'magazine-elite' ),
					),
					array(
						'feature' => __( 'Seo optimized', 'magazine-elite' ),
						'free'    => 1,
						'pro'     => 1,
					),
					array(
						'feature' => __( 'Translation ready', 'magazine-elite' ),
						'free'    => 1,
						'pro'     => 1,
					),
					array(
						'feature' => __( 'RTL ready', 'magazine-elite' ),
						'free'    => 1,
						'pro'     => 1,
					),
					array(
						'feature' => __( 'Post formats support', 'magazine-elite' ),
						'free'    => 1,
						'pro'     => 1,
					),
					array(
						'feature' => __( 'WooCommerce ready', 'magazine-elite' ),
						'free'    => 1,
						'pro'     => __( 'With more options', 'magazine-elite' ),
					),
					array(
						'feature' => __( 'Preloader option', 'magazine-elite' ),
						'free'    => 1,
						'pro'     => __( '15+ Preloaders', 'magazine-elite' ),
					),
					array(
						'feature' => __( 'Progressbar option', 'magazine-elite' ),
						'free'    => 1,
						'pro'     => 1,
					),
					array(
						'feature' => __( 'Typography font option', 'magazine-elite' ),
						'free'    => 1,
						'pro'     => 1,
					),
					array(
						'feature' => __( 'Typography color option', 'magazine-elite' ),
						'free'    => 1,
						'pro'     => 1,
					),
					array(
						'feature' => __( 'Primary menu font option', 'magazine-elite' ),
						'free'    => 1,
						'pro'     => 1,
					),
					array(
						'feature' => __( 'Primary menu responisve font sizes', 'magazine-elite' ),
						'free'    => 0,
						'pro'     => 1,
					),
					array(
						'feature' => __( 'Headings font option', 'magazine-elite' ),
						'free'    => 1,
						'pro'     => 1,
					),
					array(
						'feature' => __( 'Headings responisve font sizes', 'magazine-elite' ),
						'free'    => 0,
						'pro'     => 1,
					),
					array(
						'feature' => __( 'Body font option', 'magazine-elite' ),
						'free'    => 1,
						'pro'     => 1,
					),
					array(
						'feature' => __( 'Body responisve font sizes', 'magazine-elite' ),
						'free'    => 0,
						'pro'     => 1,
					),
					array(
						'feature' => __( 'Primary color option', 'magazine-elite' ),
						'free'    => 1,
						'pro'     => 1,
					),
					array(
						'feature' => __( 'Menu color option', 'magazine-elite' ),
						'free'    => 1,
						'pro'     => 1,
					),
					array(
						'feature' => __( 'Sub-menu color option', 'magazine-elite' ),
						'free'    => 1,
						'pro'     => 1,
					),
					array(
						'feature' => __( 'Homepage banner slider option', 'magazine-elite' ),
						'free'    => 1,
						'pro'     => 1,
					),
					array(
						'feature' => __( 'Homepage banner slider style', 'magazine-elite' ),
						'free'    => __( '1', 'magazine-elite' ),
						'pro'     => __( '3', 'magazine-elite' ),
					),
					array(
						'feature' => __( 'Homepage banner slider thumbnail', 'magazine-elite' ),
						'free'    => 1,
						'pro'     => 1,
					),
					array(
						'feature' => __( 'Homepage banner slider thumbnail style', 'magazine-elite' ),
						'free'    => __( '1', 'magazine-elite' ),
						'pro'     => __( '2', 'magazine-elite' ),
					),
					array(
						'feature' => __( 'Homepage banner slider thumbnail color', 'magazine-elite' ),
						'free'    => 0,
						'pro'     => 1,
					),
					array(
						'feature' => __( 'Homepage banner carousel option', 'magazine-elite' ),
						'free'    => 1,
						'pro'     => 1,
					),
					array(
						'feature' => __( 'Homepage banner carousel style', 'magazine-elite' ),
						'free'    => __( '1', 'magazine-elite' ),
						'pro'     => __( '3', 'magazine-elite' ),
					),
					array(
						'feature' => __( 'Homepage pinned posts', 'magazine-elite' ),
						'free'    => 1,
						'pro'     => 1,
					),
					array(
						'feature' => __( 'Homepage banner section visibility options', 'magazine-elite' ),
						'free'    => 0,
						'pro'     => 1,
					),
					array(
						'feature' => __( 'Homepage banner section dimensions', 'magazine-elite' ),
						'free'    => 0,
						'pro'     => 1,
					),
					array(
						'feature' => __( 'Homepage banner section dividers', 'magazine-elite' ),
						'free'    => 0,
						'pro'     => 1,
					),
					array(
						'feature' => __( 'Homepage trending posts', 'magazine-elite' ),
						'free'    => 1,
						'pro'     => 1,
					),
					array(
						'feature' => __( 'Homepage trending post style', 'magazine-elite' ),
						'free'    => __( '1', 'magazine-elite' ),
						'pro'     => __( '5', 'magazine-elite' ),
					),
					array(
						'feature' => __( 'Homepage trending post visibility options', 'magazine-elite' ),
						'free'    => 0,
						'pro'     => 1,
					),
					array(
						'feature' => __( 'Homepage trending post section dimensions', 'magazine-elite' ),
						'free'    => 0,
						'pro'     => 1,
					),
					array(
						'feature' => __( 'Homepage trending post section dividers', 'magazine-elite' ),
						'free'    => 0,
						'pro'     => 1,
					),
					array(
						'feature' => __( 'Homepage featured categories', 'magazine-elite' ),
						'free'    => 1,
						'pro'     => 1,
					),
					array(
						'feature' => __( 'Homepage featured categories visibility options', 'magazine-elite' ),
						'free'    => 0,
						'pro'     => 1,
					),
					array(
						'feature' => __( 'Homepage featured categories section dimensions', 'magazine-elite' ),
						'free'    => 0,
						'pro'     => 1,
					),
					array(
						'feature' => __( 'Homepage featured categories section dividers', 'magazine-elite' ),
						'free'    => 0,
						'pro'     => 1,
					),
					array(
						'feature' => __( 'Homepage featured posts', 'magazine-elite' ),
						'free'    => 1,
						'pro'     => 1,
					),
					array(
						'feature' => __( 'Homepage featured posts visibility options', 'magazine-elite' ),
						'free'    => 0,
						'pro'     => 1,
					),
					array(
						'feature' => __( 'Homepage featured posts section dimensions', 'magazine-elite' ),
						'free'    => 0,
						'pro'     => 1,
					),
					array(
						'feature' => __( 'Homepage featured posts section dividers', 'magazine-elite' ),
						'free'    => 0,
						'pro'     => 1,
					),
					array(
						'feature' => __( 'Homepage categories posts grid', 'magazine-elite' ),
						'free'    => 1,
						'pro'     => 1,
					),
					array(
						'feature' => __( 'Homepage categories posts grid visibility options', 'magazine-elite' ),
						'free'    => 0,
						'pro'     => 1,
					),
					array(
						'feature' => __( 'Homepage categories posts grid section dimensions', 'magazine-elite' ),
						'free'    => 0,
						'pro'     => 1,
					),
					array(
						'feature' => __( 'Homepage categories posts grid section dividers', 'magazine-elite' ),
						'free'    => 0,
						'pro'     => 1,
					),
					array(
						'feature' => __( 'Homepage layout option', 'magazine-elite' ),
						'free'    => 1,
						'pro'     => __( 'With more options', 'magazine-elite' ),
					),
					array(
						'feature' => __( 'Homepage custom sidebar', 'magazine-elite' ),
						'free'    => 1,
						'pro'     => 1,
					),
					array(
						'feature' => __( 'Darkmode option', 'magazine-elite' ),
						'free'    => 0,
						'pro'     => 1,
					),
					array(
						'feature' => __( 'Topbar option', 'magazine-elite' ),
						'free'    => 1,
						'pro'     => 1,
					),
					array(
						'feature' => __( 'Topbar color option', 'magazine-elite' ),
						'free'    => 1,
						'pro'     => 1,
					),
					array(
						'feature' => __( 'Header style', 'magazine-elite' ),
						'free'    => __( '2', 'magazine-elite' ),
						'pro'     => __( '4', 'magazine-elite' ),
					),
					array(
						'feature' => __( 'Header ad banner', 'magazine-elite' ),
						'free'    => 1,
						'pro'     => 1,
					),
					array(
						'feature' => __( 'Sticky header', 'magazine-elite' ),
						'free'    => 1,
						'pro'     => 1,
					),
					array(
						'feature' => __( 'Header section dimensions', 'magazine-elite' ),
						'free'    => 0,
						'pro'     => 1,
					),
					array(
						'feature' => __( 'Menu Bar option', 'magazine-elite' ),
						'free'    => 1,
						'pro'     => 1,
					),
					array(
						'feature' => __( 'Sticky sidebar', 'magazine-elite' ),
						'free'    => 1,
						'pro'     => 1,
					),
					array(
						'feature' => __( 'Offcanvas', 'magazine-elite' ),
						'free'    => 1,
						'pro'     => 1,
					),
					array(
						'feature' => __( 'Offcanvas Light/Dark Theme', 'magazine-elite' ),
						'free'    => 1,
						'pro'     => 1,
					),
					array(
						'feature' => __( 'Offcanvas Logo', 'magazine-elite' ),
						'free'    => 1,
						'pro'     => 1,
					),
					array(
						'feature' => __( 'Offcanvas Widgets Title Style', 'magazine-elite' ),
						'free'    => 1,
						'pro'     => 1,
					),
					array(
						'feature' => __( 'Accessbar option', 'magazine-elite' ),
						'free'    => 1,
						'pro'     => 1,
					),
					array(
						'feature' => __( 'Accessbar Light/Dark Theme', 'magazine-elite' ),
						'free'    => 1,
						'pro'     => 1,
					),
					array(
						'feature' => __( 'Accessbar visibility options', 'magazine-elite' ),
						'free'    => 0,
						'pro'     => 1,
					),
					array(
						'feature' => __( 'Archive style', 'magazine-elite' ),
						'free'    => __( '4', 'magazine-elite' ),
						'pro'     => __( '7', 'magazine-elite' ),
					),
					array(
						'feature' => __( 'Archive post metas', 'magazine-elite' ),
						'free'    => 1,
						'pro'     => 1,
					),
					array(
						'feature' => __( 'Ajax load posts on click', 'magazine-elite' ),
						'free'    => 1,
						'pro'     => 1,
					),
					array(
						'feature' => __( 'Infinite scroll load posts', 'magazine-elite' ),
						'free'    => 1,
						'pro'     => 1,
					),
					array(
						'feature' => __( 'Related posts', 'magazine-elite' ),
						'free'    => 1,
						'pro'     => 1,
					),
					array(
						'feature' => __( 'Floating related posts', 'magazine-elite' ),
						'free'    => 0,
						'pro'     => 1,
					),
					array(
						'feature' => __( 'Author posts', 'magazine-elite' ),
						'free'    => 1,
						'pro'     => 1,
					),
					array(
						'feature' => __( 'Author info box', 'magazine-elite' ),
						'free'    => 1,
						'pro'     => __( 'With social links option', 'magazine-elite' ),
					),
					array(
						'feature' => __( 'Integrated social share option', 'magazine-elite' ),
						'free'    => 0,
						'pro'     => 1,
					),
					array(
						'feature' => __( 'Page layout option', 'magazine-elite' ),
						'free'    => 1,
						'pro'     => 1,
					),
					array(
						'feature' => __( 'Category image option', 'magazine-elite' ),
						'free'    => 1,
						'pro'     => 1,
					),
					array(
						'feature' => __( 'Category color option', 'magazine-elite' ),
						'free'    => 1,
						'pro'     => 1,
					),
					array(
						'feature' => __( 'Different design style for each category', 'magazine-elite' ),
						'free'    => 0,
						'pro'     => 1,
					),
					array(
						'feature' => __( 'Different design style for each tags', 'magazine-elite' ),
						'free'    => 0,
						'pro'     => 1,
					),
					array(
						'feature' => __( 'Custom widgets', 'magazine-elite' ),
						'free'    => __( '15+', 'magazine-elite' ),
						'pro'     => __( '20+', 'magazine-elite' ),
					),
					array(
						'feature' => __( 'Widgets title style & align options', 'magazine-elite' ),
						'free'    => __( '10+ Styles', 'magazine-elite' ),
						'pro'     => __( '15+ Styles', 'magazine-elite' ),
					),
					array(
						'feature' => __( 'Widgetareas', 'magazine-elite' ),
						'free'    => __( '12+', 'magazine-elite' ),
						'pro'     => __( '12+', 'magazine-elite' ),
					),
					array(
						'feature' => __( 'Widgetareas visibility options', 'magazine-elite' ),
						'free'    => 0,
						'pro'     => 1,
					),
					array(
						'feature' => __( 'Widgetareas dimension options', 'magazine-elite' ),
						'free'    => 0,
						'pro'     => 1,
					),
					array(
						'feature' => __( 'Widgetareas dividers', 'magazine-elite' ),
						'free'    => 0,
						'pro'     => 1,
					),
					array(
						'feature' => __( 'Single post layout', 'magazine-elite' ),
						'free'    => __( '3', 'magazine-elite' ),
						'pro'     => __( '4', 'magazine-elite' ),
					),
					array(
						'feature' => __( 'Single post navigation style', 'magazine-elite' ),
						'free'    => __( '3', 'magazine-elite' ),
						'pro'     => __( '5', 'magazine-elite' ),
					),
					array(
						'feature' => __( 'Footer Layouts', 'magazine-elite' ),
						'free'    => 1,
						'pro'     => 1,
					),
					array(
						'feature' => __( 'Footer Widgets title style & align options', 'magazine-elite' ),
						'free'    => 1,
						'pro'     => 1,
					),
					array(
						'feature' => __( 'Footer Light/Dark Theme', 'magazine-elite' ),
						'free'    => 1,
						'pro'     => 1,
					),
					array(
						'feature' => __( 'Sub Footer', 'magazine-elite' ),
						'free'    => 1,
						'pro'     => 1,
					),
					array(
						'feature' => __( 'Sub Footer Light/Dark Theme', 'magazine-elite' ),
						'free'    => 1,
						'pro'     => 1,
					),
					array(
						'feature' => __( 'Sub Footer Layout', 'magazine-elite' ),
						'free'    => __( '1', 'magazine-elite' ),
						'pro'     => __( '2', 'magazine-elite' ),
					),
					array(
						'feature' => __( 'Sub Footer Logo', 'magazine-elite' ),
						'free'    => 0,
						'pro'     => 1,
					),
					array(
						'feature' => __( 'Scroll To Top', 'magazine-elite' ),
						'free'    => 1,
						'pro'     => __( 'With more options', 'magazine-elite' ),
					),
				);
				foreach ( $free_vs_pro as $features ) :
					?>
					<tr>
						<td class="magazine-elite-text-left"><?php echo esc_html( $features['feature'] ); ?></td>
						<td class="magazine-elite-text-center">
							<?php
							if ( 1 === $features['free'] ) {
								echo $icons[1];
							} elseif ( 0 === $features['free'] ) {
								echo $icons[0];
							} else {
								echo esc_html( $features['free'] );
							}
							?>
						</td>
						<td class="magazine-elite-text-center">
							<?php
							if ( 1 === $features['pro'] ) {
								echo $icons[1];
							} elseif ( 0 === $features['pro'] ) {
								echo $icons[0];
							} else {
								echo esc_html( $features['pro'] );
							}
							?>
						</td>
					</tr>
					<?php
				endforeach;
				?>
			</tbody>
		</table>
		<div class="free-vs-pro-footer">
			<a href="<?php echo esc_url( $this->theme_url . '?utm_source=wp&utm_medium=theme-dashboard&utm_campaign=fvp' ); ?>" target="_blank"><?php esc_html_e( 'And many more features', 'magazine-elite' ); ?><span class="dashicons dashicons-external"></span></a>
		</div>
	</div>
</div>
