<?php

if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

class Magazine_Elite_Ads_Code extends Magazine_Elite_Widget_Base {
	/**
	 * Constructor.
	 */
	public function __construct() {

		$this->widget_cssclass    = 'magazine_elite_ads_code_widget';
		$this->widget_description = __( 'Advertisements or codes widget.', 'magazine-elite' );
		$this->widget_id          = 'magazine_elite_ads_code_widget';
		$this->widget_name        = __( 'Magazine Elite: Ads Code', 'magazine-elite' );
		$this->settings           = array(
			'ads_code'        => array(
				'type'  => 'textarea',
				'label' => __( 'Ads Code', 'magazine-elite' ),
			),
			'align'           => array(
				'type'    => 'select',
				'label'   => __( 'Alignment', 'magazine-elite' ),
				'options' => array(
					'left'    => __( 'Left', 'magazine-elite' ),
					'center'  => __( 'Center', 'magazine-elite' ),
					'right'   => __( 'Right', 'magazine-elite' ),
					'strecth' => __( 'Stretch', 'magazine-elite' ),
				),
				'std'     => 'center',
			),
			'hide_on_desktop' => array(
				'type'  => 'checkbox',
				'label' => __( 'Hide on Desktop', 'magazine-elite' ),
				'std'   => false,
			),
			'hide_on_tablet'  => array(
				'type'  => 'checkbox',
				'label' => __( 'Hide on Tablet', 'magazine-elite' ),
				'std'   => false,
			),
			'hide_on_mobile'  => array(
				'type'  => 'checkbox',
				'label' => __( 'Hide on Mobile', 'magazine-elite' ),
				'std'   => false,
			),
		);

		parent::__construct();
	}

	/**
	 * Output widget.
	 *
	 * @see WP_Widget
	 *
	 * @param array $args
	 * @param array $instance
	 */
	public function widget( $args, $instance ) {

		ob_start();

		$before_widget = $args['before_widget'];
		$after_widget  = $args['after_widget'];

		echo wp_kses_post( $before_widget );

		$ad_class = '';
		if ( $instance['hide_on_desktop'] ) {
			$ad_class .= ' hide-on-desktop';
		}
		if ( $instance['hide_on_tablet'] ) {
			$ad_class .= ' hide-on-tablet';
		}
		if ( $instance['hide_on_mobile'] ) {
			$ad_class .= ' hide-on-mobile';
		}

		do_action( 'magazine_elite_before_ads_code' );

		?>

		<div class="magazine-elite-ads-code-widget<?php echo esc_attr( $ad_class ); ?>" style="justify-items:<?php echo esc_attr( $instance['align'] ); ?>;" >
			<?php
			if ( $instance['ads_code'] ) {
				echo wp_kses_post( $instance['ads_code'] );
			}
			?>
		</div>

		<?php

		do_action( 'magazine_elite_after_ads_code' );

		echo wp_kses_post( $after_widget );

		echo ob_get_clean();
	}

}
