<?php

if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

class Magazine_Elite_Tab_Posts extends Magazine_Elite_Widget_Base {

	public $display_style = '';

	/**
	 * Constructor.
	 */
	public function __construct() {

		$this->widget_cssclass    = 'magazine-elite widget_tab_posts';
		$this->widget_description = __( 'Displays posts in tab', 'magazine-elite' );
		$this->widget_id          = 'magazine_elite_tab_posts_widget';
		$this->widget_name        = __( 'Magazine Elite: Tab Posts', 'magazine-elite' );

		$this->settings = array(
			'hot_post_settings'       => array(
				'type'  => 'heading',
				'label' => __( 'Hot Post Settings', 'magazine-elite' ),
			),
			'show_hot_posts'          => array(
				'type'  => 'checkbox',
				'label' => __( 'Show Tab', 'magazine-elite' ),
				'std'   => true,
			),
			'hot_posts_title'         => array(
				'type'  => 'text',
				'label' => __( 'Title', 'magazine-elite' ),
				'std'   => __( 'Hot', 'magazine-elite' ),
				'desc'  => __( 'Leave as it is to show default title or leave blank to only show icon', 'magazine-elite' ),
			),
			'show_hot_posts_icon'     => array(
				'type'  => 'checkbox',
				'label' => __( 'Show Icon', 'magazine-elite' ),
				'std'   => true,
			),
			'hot_post_cat'            => array(
				'type'  => 'dropdown-taxonomies',
				'label' => __( 'Select Category', 'magazine-elite' ),
				'desc'  => __( 'Leave empty if you don\'t want the posts to be category specific', 'magazine-elite' ),
				'args'  => array(
					'taxonomy'        => 'category',
					'class'           => 'widefat',
					'hierarchical'    => true,
					'show_count'      => 1,
					'show_option_all' => __( '&mdash; Select &mdash;', 'magazine-elite' ),
				),
			),
			'hot_post_orderby'        => array(
				'type'    => 'select',
				'std'     => 'date',
				'label'   => __( 'Order By', 'magazine-elite' ),
				'options' => array(
					'date'  => __( 'Date', 'magazine-elite' ),
					'ID'    => __( 'ID', 'magazine-elite' ),
					'title' => __( 'Title', 'magazine-elite' ),
					'rand'  => __( 'Random', 'magazine-elite' ),
				),
			),
			'hot_post_order'          => array(
				'type'    => 'select',
				'std'     => 'desc',
				'label'   => __( 'Order', 'magazine-elite' ),
				'options' => array(
					'asc'  => __( 'ASC', 'magazine-elite' ),
					'desc' => __( 'DESC', 'magazine-elite' ),
				),
			),
			'latest_post_settings'    => array(
				'type'  => 'heading',
				'label' => __( 'Latest Post Settings', 'magazine-elite' ),
			),
			'show_latest_posts'       => array(
				'type'  => 'checkbox',
				'label' => __( 'Show Tab', 'magazine-elite' ),
				'std'   => true,
			),
			'latest_posts_title'      => array(
				'type'  => 'text',
				'label' => __( 'Title', 'magazine-elite' ),
				'std'   => __( 'Latest', 'magazine-elite' ),
				'desc'  => __( 'Leave as it is to show default title or leave blank to only show icon', 'magazine-elite' ),
			),
			'show_latest_posts_icon'  => array(
				'type'  => 'checkbox',
				'label' => __( 'Show Icon', 'magazine-elite' ),
				'std'   => true,
			),
			'latest_post_cat'         => array(
				'type'  => 'dropdown-taxonomies',
				'label' => __( 'Select Category', 'magazine-elite' ),
				'desc'  => __( 'Leave empty if you don\'t want the posts to be category specific', 'magazine-elite' ),
				'args'  => array(
					'taxonomy'        => 'category',
					'class'           => 'widefat',
					'hierarchical'    => true,
					'show_count'      => 1,
					'show_option_all' => __( '&mdash; Select &mdash;', 'magazine-elite' ),
				),
			),
			'latest_post_orderby'     => array(
				'type'    => 'select',
				'std'     => 'date',
				'label'   => __( 'Order By', 'magazine-elite' ),
				'options' => array(
					'date'  => __( 'Date', 'magazine-elite' ),
					'ID'    => __( 'ID', 'magazine-elite' ),
					'title' => __( 'Title', 'magazine-elite' ),
					'rand'  => __( 'Random', 'magazine-elite' ),
				),
			),
			'latest_post_order'       => array(
				'type'    => 'select',
				'std'     => 'desc',
				'label'   => __( 'Order', 'magazine-elite' ),
				'options' => array(
					'asc'  => __( 'ASC', 'magazine-elite' ),
					'desc' => __( 'DESC', 'magazine-elite' ),
				),
			),
			'popular_post_settings'   => array(
				'type'  => 'heading',
				'label' => __( 'Popular Post Settings', 'magazine-elite' ),
			),
			'show_popular_posts'      => array(
				'type'  => 'checkbox',
				'label' => __( 'Show Tab', 'magazine-elite' ),
				'std'   => true,
			),
			'popular_posts_desc'      => array(
				'type'  => 'subtitle',
				'label' => __( 'Will display post based on comments count', 'magazine-elite' ),
			),
			'popular_posts_title'     => array(
				'type'  => 'text',
				'label' => __( 'Title', 'magazine-elite' ),
				'std'   => __( 'Popular', 'magazine-elite' ),
				'desc'  => __( 'Leave as it is to show default title or leave blank to only show icon', 'magazine-elite' ),
			),
			'show_popular_posts_icon' => array(
				'type'  => 'checkbox',
				'label' => __( 'Show Icon', 'magazine-elite' ),
				'std'   => true,
			),
			'popular_post_cat'        => array(
				'type'  => 'dropdown-taxonomies',
				'label' => __( 'Select Category', 'magazine-elite' ),
				'desc'  => __( 'Leave empty if you don\'t want the posts to be category specific', 'magazine-elite' ),
				'args'  => array(
					'taxonomy'        => 'category',
					'class'           => 'widefat',
					'hierarchical'    => true,
					'show_count'      => 1,
					'show_option_all' => __( '&mdash; Select &mdash;', 'magazine-elite' ),
				),
			),
			'popular_post_order'      => array(
				'type'    => 'select',
				'std'     => 'desc',
				'label'   => __( 'Order', 'magazine-elite' ),
				'options' => array(
					'asc'  => __( 'ASC', 'magazine-elite' ),
					'desc' => __( 'DESC', 'magazine-elite' ),
				),
			),
			'general_settings'        => array(
				'type'  => 'heading',
				'label' => __( 'General Settings', 'magazine-elite' ),
			),
			'number'                  => array(
				'type'  => 'number',
				'step'  => 1,
				'min'   => 1,
				'max'   => '',
				'std'   => 3,
				'label' => __( 'Number of posts to show', 'magazine-elite' ),
			),
			'post_meta'               => array(
				'type'    => 'multi-checkbox',
				'label'   => __( 'Post Meta', 'magazine-elite' ),
				'options' => array(
					'author'    => __( 'Author', 'magazine-elite' ),
					'read_time' => __( 'Post Read Time', 'magazine-elite' ),
					'date'      => __( 'Date', 'magazine-elite' ),
					'comment'   => __( 'Comment', 'magazine-elite' ),
				),
				'std'     => array( 'date' ),
			),
			'date_format'             => array(
				'type'    => 'select',
				'label'   => __( 'Date Format', 'magazine-elite' ),
				'desc'    => __( 'Make sure to select Date from above for this to work.', 'magazine-elite' ),
				'options' => array(
					'format_1' => __( 'Times Ago', 'magazine-elite' ),
					'format_2' => __( 'Default Format', 'magazine-elite' ),
				),
				'std'     => 'format_2',
			),
			'author_image'            => array(
				'type'  => 'checkbox',
				'label' => __( 'Show Author Image', 'magazine-elite' ),
				'desc'  => __( 'Make sure to select Author from above for this to work.', 'magazine-elite' ),
				'std'   => false,
			),
			'tab_display_style'       => array(
				'type'    => 'select',
				'label'   => __( 'Tab Display Style', 'magazine-elite' ),
				'options' => array(
					'style_1' => __( 'Left Image + Right Content', 'magazine-elite' ),
					'style_2' => __( 'Top Image + Bottom Content', 'magazine-elite' ),
					'style_3' => __( 'Top Image + Bottom Content Variation', 'magazine-elite' ),
				),
				'std'     => 'style_1',
			),
			'invert_post'             => array(
				'type'  => 'checkbox',
				'label' => __( 'Invert Post', 'magazine-elite' ),
				'std'   => false,
			),
			'hide_image'              => array(
				'type'  => 'checkbox',
				'label' => __( 'Hide Post Image', 'magazine-elite' ),
				'std'   => false,
			),
			'enable_post_format_icon' => array(
				'type'  => 'checkbox',
				'label' => __( 'Enable Post Format Icon', 'magazine-elite' ),
				'std'   => false,
			),
			'title_limit'             => array(
				'type'    => 'select',
				'label'   => __( 'Post Title Limit', 'magazine-elite' ),
				'options' => magazine_elite_get_title_limit_choices(),
				'std'     => '',
			),
		);

		$this->unique_id = substr( wp_generate_uuid4(), 0, 3 );

		parent::__construct();
	}

	/**
	 * Outputs the tab Content
	 *
	 * @param array  $instance
	 * @param string $block The block to display.
	 */
	public function render_tab_title( $instance, $block, $is_active = false ) {

		if ( ! $block ) {
			return;
		}

		$enabled = isset( $instance[ "show_{$block}_posts" ] ) ? $instance[ "show_{$block}_posts" ] : $this->settings[ "show_{$block}_posts" ]['std'];

		if ( $enabled ) :
			$icon  = isset( $instance[ "show_{$block}_posts_icon" ] ) ? $instance[ "show_{$block}_posts_icon" ] : $this->settings[ "show_{$block}_posts_icon" ]['std'];
			$title = isset( $instance[ "{$block}_posts_title" ] ) ? $instance[ "{$block}_posts_title" ] : $this->settings[ "{$block}_posts_title" ]['std'];
			?>
			<a id="<?php echo esc_attr( $block ); ?>-posts-tab" href="#<?php echo esc_attr( $block ); ?>-posts-tab-block" class="tab-item tab-link<?php echo ( $is_active ) ? ' active' : ''; ?>" data-toggle="uf-tab" aria-selected="<?php echo ( $is_active ) ? 'true' : 'false'; ?>" role="tab"  aria-controls="<?php echo esc_attr( $block ); ?>-posts-tab-block">
				<?php if ( $icon ) : ?>
					<span class="tab-title-icon"><?php magazine_elite_the_theme_svg( $block ); ?></span>
				<?php endif; ?>
				<?php if ( $title ) : ?>
					<span class="tab-title-label"><?php echo $title; ?></span>
				<?php endif; ?>
			</a>
			<?php
		endif;
	}

	/**
	 * Outputs the tab Content
	 *
	 * @param array  $instance
	 * @param string $block The block to display.
	 */
	public function render_tab_content( $instance, $block, $is_active = false ) {

		if ( ! $block ) {
			return;
		}

		$enabled                 = isset( $instance[ "show_{$block}_posts" ] ) ? $instance[ "show_{$block}_posts" ] : $this->settings[ "show_{$block}_posts" ]['std'];
		$hide_image              = isset( $instance['hide_image'] ) ? $instance['hide_image'] : $this->settings['hide_image']['std'];
		$title_limit             = isset( $instance['title_limit'] ) ? $instance['title_limit'] : $this->settings['title_limit']['std'];
		$enable_post_format_icon = isset( $instance['enable_post_format_icon'] ) ? $instance['enable_post_format_icon'] : $this->settings['enable_post_format_icon']['std'];

		if ( $enabled ) :

			$number = ! empty( $instance['number'] ) ? absint( $instance['number'] ) : $this->settings['number']['std'];

			if ( 'popular' == $block ) {
				$orderby = 'comment_count';
			} else {
				$orderby = ! empty( $instance[ "{$block}_post_orderby" ] ) ? sanitize_text_field( $instance[ "{$block}_post_orderby" ] ) : $this->settings[ "{$block}_post_orderby" ]['std'];
			}

			$order = ! empty( $instance[ "{$block}_post_order" ] ) ? sanitize_text_field( $instance[ "{$block}_post_order" ] ) : $this->settings[ "{$block}_post_order" ]['std'];

			$query_args = array(
				'post_type'           => 'post',
				'posts_per_page'      => $number,
				'post_status'         => 'publish',
				'no_found_rows'       => 1,
				'orderby'             => $orderby,
				'order'               => $order,
				'ignore_sticky_posts' => 1,
			);

			if ( ! empty( $instance[ "{$block}_post_cat" ] ) && -1 != $instance[ "{$block}_post_cat" ] && 0 != $instance[ "{$block}_post_cat" ] ) {
				$query_args['tax_query'][] = array(
					'taxonomy' => 'category',
					'field'    => 'term_id',
					'terms'    => $instance[ "{$block}_post_cat" ],
				);
			}

			$posts = new WP_Query( $query_args );
			if ( $posts->have_posts() ) :

				$enabled_post_meta             = isset( $instance['post_meta'] ) ? $instance['post_meta'] : $this->settings['post_meta']['std'];
				$meta_settings['date_format']  = isset( $instance['date_format'] ) ? $instance['date_format'] : $this->settings['date_format']['std'];
				$meta_settings['author_image'] = isset( $instance['author_image'] ) ? $instance['author_image'] : $this->settings['author_image']['std'];
				?>
				<div id="<?php echo esc_attr( $block ); ?>-posts-tab-block" class="magazine-elite-tab-panel magazine-elite-animate-opacity<?php echo ( $is_active ) ? ' active' : ''; ?>" role="tabpanel" aria-labelledby="<?php echo esc_attr( $block ); ?>-posts-tab">
					<div class="magazine-elite-list-posts">
						<?php
						while ( $posts->have_posts() ) :
							$posts->the_post();
							?>
							<div class="article-block-wrapper img-animate-zoom magazine-elite-card-box">
								<?php
								if ( ! $hide_image && has_post_thumbnail() ) {
									if ( 'style_1' == $this->display_style ) {
										?>
										<div class="article-image">
											<a href="<?php the_permalink(); ?>">
												<?php
												if ( $enable_post_format_icon ) {
													magazine_elite_post_format_icon( 'center' );
												}
												?>
												<?php
												the_post_thumbnail(
													'thumbnail',
													array(
														'alt' => the_title_attribute(
															array(
																'echo' => false,
															)
														),
													)
												);
												?>
											</a>
										</div>
										<?php
									} else {
										?>
										<div class="article-image">
											<a href="<?php the_permalink(); ?>">
												<?php
												if ( $enable_post_format_icon ) {
													magazine_elite_post_format_icon( 'center' );
												}
												?>
												<?php
												the_post_thumbnail(
													'magazine-elite-small-img',
													array(
														'alt' => the_title_attribute(
															array(
																'echo' => false,
															)
														),
													)
												);
												?>
											</a>
										</div>
										<?php
									}
								}
								?>
								<div class="article-details">
									<h3 class="article-title no-margin">
										<a href="<?php the_permalink(); ?>" class="text-decoration-none color-accent-hover magazine-elite-limit-lines <?php echo esc_attr( $title_limit ); ?>">
											<?php the_title(); ?>
										</a>
									</h3>
									<?php magazine_elite_post_meta_info( $enabled_post_meta, $meta_settings ); ?>
								</div>
							</div>
							<?php
						endwhile;
						wp_reset_postdata();
						?>
					</div>
				</div>
				<?php
			endif;
		endif;
	}

	/**
	 * Output widget.
	 *
	 * @see WP_Widget
	 *
	 * @param array $args
	 * @param array $instance
	 */
	public function widget( $args, $instance ) {

		ob_start();

		$before_widget = $args['before_widget'];
		$after_widget  = $args['after_widget'];

		echo wp_kses_post( $before_widget );

		do_action( 'magazine_elite_before_tab_posts' );

		$this->display_style = isset( $instance['tab_display_style'] ) ? $instance['tab_display_style'] : $this->settings['tab_display_style']['std'];
		$invert_post         = isset( $instance['invert_post'] ) ? $instance['invert_post'] : $this->settings['invert_post']['std'];
		$hide_image          = isset( $instance['hide_image'] ) ? $instance['hide_image'] : $this->settings['hide_image']['std'];

		$widget_class = $this->display_style;

		if ( $invert_post ) {
			$widget_class .= ' saga-inverted-item';
		}

		if ( $hide_image ) {
			$widget_class .= ' saga-hidden-post-image';
		}
		?>

		<div class="magazine-elite-tab-posts-widget <?php echo esc_attr( $widget_class ); ?>">
			<div class="magazine-elite-tabs-wrapper">
				<div class="magazine-elite-tab-head" role="tablist" aria-label="<?php esc_attr_e( 'Tab Navigation', 'magazine-elite' ); ?>">
					<?php $this->render_tab_title( $instance, 'hot', true ); ?>
					<?php $this->render_tab_title( $instance, 'latest' ); ?>
					<?php $this->render_tab_title( $instance, 'popular' ); ?>
				</div>
				<div class="magazine-elite-tab-content">
					<?php $this->render_tab_content( $instance, 'hot', true ); ?>
					<?php $this->render_tab_content( $instance, 'latest' ); ?>
					<?php $this->render_tab_content( $instance, 'popular' ); ?>
				</div>
			</div>
		</div>
		<?php

		do_action( 'magazine_elite_after_tab_posts' );

		echo wp_kses_post( $after_widget );

		echo ob_get_clean();
	}

}
