<?php
$accesbar_wrapper = '';
if ( 'dark' == get_theme_mod( 'accessbar_theme', 'light' ) ) {
	$accesbar_wrapper .= ' inverted-accessbar';
}
if ( get_theme_mod( 'hide_access_bar_desktop' ) ) {
	$accesbar_wrapper .= ' hide-on-desktop';
}
if ( get_theme_mod( 'hide_access_bar_tablet', true ) ) {
	$accesbar_wrapper .= ' hide-on-tablet';
}
if ( get_theme_mod( 'hide_access_bar_mobile', true ) ) {
	$accesbar_wrapper .= ' hide-on-mobile';
}
?>
<div class="magazine-elite-accessbar<?php echo esc_attr( $accesbar_wrapper ); ?>">
	<div class="accessbar-first">
		<?php
		$show_access_bar_offcanvas = get_theme_mod( 'show_access_bar_offcanvas', true );
		if ( $show_access_bar_offcanvas ) :
			?>
			<div class="magazine-elite-offcanvas-toggle">
				<button class="magazine-elite-off-canvas-btn toggle toggle-off-canvas toggle-canvas-modal" data-modal=".magazine-elite-canvas-block" data-body-class="showing-offcanvas-modal" data-focus=".magazine-elite-off-canvas-close" aria-expanded="false">
					<span class="off-canvas-bars">
						<span class="bar-top"></span>
						<span class="bar-mid"></span>
						<span class="bar-low"></span>
					</span>
					<span class="toggle-text screen-reader-text">
						<?php esc_html_e( 'Off Canvas', 'magazine-elite' ); ?>
					</span>
				</button>
			</div>
		<?php endif; ?>
		<?php
		$show_access_bar_search = get_theme_mod( 'show_access_bar_search' );
		if ( $show_access_bar_search ) :
			?>
			<div class="magazine-elite-search-toggle">
				<button class="magazine-elite-search-canvas-btn magazine-elite-search search-icon toggle-canvas-modal toggle" aria-expanded="false" data-modal=".magazine-elite-search-block" data-body-class="showing-search-modal" data-focus=".magazine-elite-search-block .search-field">
					<span class="search-label"><?php esc_html_e( 'Search', 'magazine-elite' ); ?></span>
					<?php magazine_elite_the_theme_svg( 'search' ); ?>
				</button>
			</div>
		<?php endif; ?>
	</div>
	<div class="accessbar-center">

		<?php do_action( 'magazine_elite_accessbar_center_top' ); ?>

		<?php
		$show_access_bar_social_nav = get_theme_mod( 'show_access_bar_social_nav', true );
		if ( $show_access_bar_social_nav ) :
			$menu_class         = ' reset-list-style magazine-elite-social-icons ';
			$social_link_style  = get_theme_mod( 'access_bar_social_links_display_style', 'style_1' );
			$social_link_style .= magazine_elite_get_social_icons_class( $social_link_style );
			$social_link_color  = get_theme_mod( 'access_bar_social_links_color_as', 'theme_color' );
			$menu_class        .= $social_link_style . ' ' . $social_link_color;
			wp_nav_menu(
				array(
					'theme_location'  => 'social-menu',
					'container_class' => 'magazine-elite-social-nav',
					'fallback_cb'     => false,
					'depth'           => 1,
					'menu_class'      => $menu_class,
					'link_before'     => '<span class="screen-reader-text">',
					'link_after'      => '</span>',
				)
			);
		endif;
		?>

		<?php do_action( 'magazine_elite_accessbar_center_bottom' ); ?>

	</div>
	<div class="accessbar-last">
		<?php
		$info_page = magazine_elite_get_accessbar_info_page();
		if ( $info_page ) :
			$access_bar_info_page_icon = get_theme_mod( 'access_bar_info_page_icon', 'geo-alt-fill' );
			?>
			<div class="accessbar-info-page-icon">
				<button class="magazine-elite-accessbar-canvas-btn toggle toggle-accessbar-canvas toggle-canvas-modal" data-modal=".magazine-elite-accessbar-block" data-body-class="showing-accessbar-modal" data-focus=".magazine-elite-accessbar-modal-close" aria-expanded="false">
					<?php echo magazine_elite_the_theme_svg( $access_bar_info_page_icon ); ?>
					<span class="toggle-text screen-reader-text"><?php echo get_the_title( $info_page ); ?></span>
				</button>
			</div>
			<?php
		endif;
		?>
		<?php
		$show_access_bar_scroll_top = get_theme_mod( 'show_access_bar_scroll_top', true );
		if ( $show_access_bar_scroll_top ) :
			?>
			<div class="accessbar-scroll-to-top">
				<a href="#" class="magazine-elite-toggle-scroll-top fill-children-current-color">
					<?php magazine_elite_the_theme_svg( 'chevron-up' ); ?>
				</a>
			</div>
		<?php endif; ?>
	</div>
</div>
