<?php
global $post;
$post_id = $post->ID;

$author_posts_text = get_theme_mod( 'author_posts_text', __( 'More From Author', 'magazine-elite' ) );
$orderby           = esc_attr( get_theme_mod( 'author_posts_orderby', 'date' ) );


// Covert id to ID to make it work with query
if ( 'id' == $orderby ) {
	$orderby = 'ID';
}

$author_posts_args  = array(
	'author'              => get_the_author_meta( 'ID' ),
	'post_type'           => 'post',
	'post__not_in'        => array( $post_id ),
	'posts_per_page'      => absint( get_theme_mod( 'no_of_author_posts', 3 ) ),
	'ignore_sticky_posts' => 1,
	'orderby'             => $orderby,
	'order'               => esc_attr( get_theme_mod( 'author_posts_order', 'desc' ) ),
);
$author_posts_query = new WP_Query( $author_posts_args );

if ( $author_posts_query->have_posts() ) :
	?>
	<div class="magazine-elite-author-posts-wrapper magazine-elite-post-extras-grid-block wide-max-width">
		<?php
		if ( $author_posts_text ) :
			$title_style = get_theme_mod( 'author_posts_title_style', 'style_1' );
			$title_align = 'has-text-align-' . get_theme_mod( 'author_posts_title_align', 'left' );
			?>
			<div class="saga-section-title">
				<h2 class="saga-element-header <?php echo esc_attr( $title_style . ' ' . $title_align ); ?>">
					<span><?php echo esc_html( $author_posts_text ); ?></span>
				</h2>
			</div>
		<?php endif; ?>
		<div class="section-posts">
			<?php
			$title_limit = get_theme_mod( 'author_posts_title_limit' );
			while ( $author_posts_query->have_posts() ) :
				$author_posts_query->the_post();
				?>
				<div class="saga-block-post-card img-animate-zoom magazine-elite-card-box">
					<div class="saga-block-item-w-overlay">
						<div class="saga-block-image-w-overlay">
							<a href="<?php the_permalink(); ?>">
								<?php
								if ( get_theme_mod( 'show_author_posts_post_format_icon' ) ) {
									magazine_elite_post_format_icon('center');
								}
								?>
								<?php the_post_thumbnail( 'magazine-elite-large-img' ); ?>
							</a>
						</div>
						<div class="saga-block-overlay-content">
						</div>
					</div>
					<div class="saga-block-card-content">
						<h3 class="saga-block-card-title">
							<a href="<?php the_permalink(); ?>" class="text-decoration-none color-accent-hover magazine-elite-limit-lines <?php echo esc_attr( $title_limit ); ?>">
								<?php the_title(); ?>
							</a>
						</h3>
						<div class="post-date">
							<?php echo esc_html( get_the_date() ); ?>
						</div>
					</div>
				</div>
				<?php
			endwhile;
			wp_reset_postdata();
			?>
		</div>
	</div>
	<?php
endif;
